# package

## Purpose

Packages an application for a particular deployment target

## Examples

    griffon package
    griffon package zip jar

## Description

When called without arguments this command will package the application with the following deployment targets: `zip`, `jar`, `applet` and `webstart`. You can configure a different default set of deployment targets that will be used when invoking this command without arguments. Simply add a configuration flag to `BuildConfig.groovy` like this

    griffon.packaging = 'zip'

Now, any time you call the package command without arguments only the `zip` target will be executed.

Usage:

    griffon package [deployment_targets]

Arguments:

- `deployment_targets` - The name of a deployment_target. Default recognized values are `zip`, `jar`, `applet` and `webstart`. If the Installer plugin is available then additional deployment targets become available too: `dmg`, `rpm`, `deb`, `izpack`, `jsmooth`.